JP2INFO(1)

NAME
jp2info - dump meta information of JPEG 2000 Codestream / JP2 file

SYNOPSIS
JP2_Info [<Options>] <source>

DESCRIPTION
Dump meta information of JPEG 2000 Codestream / JP2 file

PIRL.Image_Tools.JP2_Info (1.39 2012/11/19 00:13:25)

    The contents of the specified file are scanned for JP2 file format boxes and JPEG2000 codestream segments. The information found is reported in the form of PVL parameters containing all the data element values.

Options -

-[No_]Tiles

    Tiles segment parameters are to be included (or not). The default is not to include tile segment parameters.

-[No_]EOC_search

    Search a final tile-part of unknown length for the EOC marker. The default is not to search.

-Gui

    The information PVL is provided in a GUI viewer. The default is to provide a terminal listing.

-Find <parameter>

    The named parameter is listed. This option may be repeated to obtain a listing of all parameters specified.

-Pattern <regex>

    The parameters with names that match the regular expression are listed. This option may also be repeated.

-Help

    Print this usage description and exit.

Exit Status -

    0 - Success 1 - Command line syntax problem 2 - I/O Exception while attemping to read the source file 3 - No information was found 4 - An error occurred in assembing the PVL parameters for the JP2 information 5 - The source file does not have the required JP2 contents

AUTHOR
This manual page was written by Mathieu Malaterre <malat@debian.org> for the Debian GNU/Linux system, but may be used by others.